Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-6405

AccessControlException with Google App Engine and indy version of the Groovy

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.8
    • Fix Version/s: 2.2.1
    • Component/s: None
    • Labels:
      None
    • Environment:
      java version "1.7.0_45"
      Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
      Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)
      on Ubuntu 12.04 x64

      Description

      When trying to compile groovlet on Google App Engine development server I get the attached exception.

      It looks this only apply when indy version of Groovy is used, default version
      seems to be ok.

      The problem occurs in org.codehaus.groovy.vmplugin.v5.Java5.configureAnnotation(Java5.java:265) when
      the annotation is sun.reflect.CallerSensitive.

        Attachments

        1. failing-groovy-gae.zip
          55 kB
          Vladimír Oraný
        2. stacktrace.txt
          6 kB
          Vladimír Oraný
        3. a.patch
          1.0 kB
          Jochen Theodorou
        4. b.patch
          2 kB
          Jochen Theodorou

          Activity

            People

            • Assignee:
              blackdrag Jochen Theodorou
              Reporter:
              musketyr Vladimír Oraný
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: